# Create new process

| **Description** | Creates a new process |
| --------------- | --------------------- |
| **Endpoint**    | `/path/process`       |
| **Method**      | POST                  |

### Access Level Rules

| **Minimum Access Level** | edit+ on parent folder or account holder in root. |
| ------------------------ | ------------------------------------------------- |

### Processing Units

| **Processing units** | 1 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th width="221">Description</th><th>Required</th><th>Default</th><th data-hidden>Required</th><th data-hidden>Default</th></tr></thead><tbody><tr><td><code>name</code></td><td>The name of the new process.</td><td>true</td><td></td><td>true</td><td></td></tr><tr><td><code>process</code></td><td>A JSON with properties "parameters",  "gitUrl" and "gitFile".<br><br>"parameters" should be an array of objects. Each object should have a name, description and example. All should be of type string. <br><br>"gitUrl" should be a string with the url of the git to run as string.<br><br>"gitFile" should be the location of the file in the git as string.</td><td>true</td><td></td><td></td><td></td></tr><tr><td><code>parentId</code></td><td><p>The id of the parent folder of the new path.</p><p>If omitted the new path is placed in your myDrive root.</p></td><td>false</td><td>Default null.</td><td>false</td><td>null</td></tr><tr><td><code>publicAccess</code></td><td><a href="/pages/jWHxOKKaASR2HwgmIQkh">Public access object</a> with properties "hidden" and "accessTier"<br><br>"accessTier" must be between "none" and "edit" and "hidden" must be a boolean.</td><td>false</td><td>Default {accessTier:"none", hidden:true}.</td><td>false</td><td>publicAccessLevel</td></tr><tr><td><code>metadata</code></td><td>A JSON with property "description" with the description of the file.</td><td>false</td><td>Default null.</td><td></td><td></td></tr></tbody></table>

Example request:

```
{
  name: 'test process',
  metadata: { description: 'test description' },
  publicAccess: {hidden:true, accessTier:'view'},
  process: {
    parameters: [{"description":"first number to multiply", "example":"2", "name":"parameter 1" }, {"description":"second number to multiply", "example":"4", "name":"parameter 2" }],
    gitUrl: "https://github.com/multiplier/multiplication",
    gitFile: "multiply.py",
  },
};

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-process/create-new-process.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
